/* Button styles ================ */

@import "../../core/variables";

$button-min-width: 100px;
$button-height: 50px;
$button-padding-horizontal: 40px;

$button-font-size: $text-size-s;
$button-font-weight: $text-weight-bold;

$button-box-shadow: 0 3px 19px 2px rgba(255, 206, 3, .74);

$button-border-radius: 30px;

$button-background-color: $color-secondary;
$button-background-color-hover: $color-white;
$button-background-color-active: lighten($color-secondary, 20%);

$button-border-color: $button-background-color;
$button-border-color-hover: $button-background-color;
$button-border-color-active: $button-background-color-active;

$button-color: $color-black-light;
$button-color-hover: $color-secondary;
$button-color-active: $color-black-light;

// White button ------

$button-background-color-white: $color-white;
$button-background-color-white-hover: $color-secondary;
$button-background-color-white-active: lighten($color-secondary, 20%);

$button-border-color-white: $color-secondary;
$button-border-color-white-hover: $button-background-color-white-hover;
$button-border-color-white-active: $button-background-color-white-active;

$button-color-white: $color-black-light;
$button-color-white-hover: $color-black-light;
$button-color-white-active: $color-black-light;

.button {
  display: inline-flex;
  align-items: center;
  justify-content: center;

  min-width: $button-min-width;
  max-width: 100%;
  height: $button-height;
  padding-right: $button-padding-horizontal;
  padding-left: $button-padding-horizontal;

  border: 1px solid $button-border-color;
  border-radius: $button-border-radius;
  overflow: hidden;

  color: $button-color;
  font-weight: $button-font-weight;
  font-size: $button-font-size;
  text-align: center;
  text-decoration: none;

  background-color: $button-background-color;
  box-shadow: $button-box-shadow;

  cursor: pointer;
  transition: all .3s ease;
  -webkit-appearance: inherit;
  user-select: none;
  touch-action: manipulation;

  &:hover {
    border-color: $button-border-color-hover;
    color: $button-color-hover;
    text-decoration: none;
    background-color: $button-background-color-hover;
  }

  &:focus {
    outline-width: 4px;
    outline-color: $color-primary;
  }

  &:active {
    border-color: $button-border-color-active;
    color: $button-color-active;
    background-color: $button-background-color-active;
  }

  @include mq("laptop-small", "max") {
    height: 40px;
  }

  &.button--full-width {
    width: 100%;
  }

  &.button--text-uppercase {

    @include mq("laptop-small") {
      text-transform: uppercase;
    }
  }
}

.button__text {
  overflow: hidden;
  color: currentColor;
  white-space: nowrap;
  text-overflow: ellipsis;

  + .button__icon {
    margin-left: 7px;
  }
}

.button__icon {
  width: 8px;
  height: 13px;
}

.button--white {
  border-color: $button-border-color-white;
  color: $button-color-white;
  background-color: $button-background-color-white;
  box-shadow: none;

  &:hover {
    border-color: $button-border-color-white-hover;
    color: $button-color-white-hover;
    background-color: $button-background-color-white-hover;
  }

  &:active {
    border-color: $button-border-color-white-active;
    color: $button-color-white-active;
    background-color: $button-background-color-white-active;
  }
}

/* disabled styles */
.button--disabled,
.button[disabled],
fieldset[disabled] .button {
  box-shadow: none;
  opacity: .32;
  cursor: not-allowed;
  pointer-events: none;
}

button[type = "button"] {
  cursor: pointer;
}
/* ================ end button styles */
